
=== FlexStock - Stock Sync with Google Sheets for WooCommerce Product Sync Master and Inventory Sync with Bulk Edit ===

== FlexStock Changelog Entries ==
This file contains older changelog entries, so we can keep the size of the standard WordPress readme.txt file reasonable.
For the latest changes, please see the "Changelog" section of the [Plugin](https://wordpress.org/plugins/stock-sync-with-google-sheet-for-woocommerce/#developers).


= 3.15.6 – 12 January, 2026 =
- **New:** Separated attributes in Google Sheet columns.
- **New:** Added feature to create attribute terms from Google Sheet.
- **Fix:** Fixed meta fields sync issue when key contains hyphens (e.g., fields-test-mode).
- **Fix:** Fixed Google Sheet header color format issue if the column is more than 26.
- **Fix:** Fixed date format mismatch issue in Google Sheet for meta fields.

= 3.15.5 – 14 December, 2025 =
- **Improvement:** Product Sync limit (WordPress to Google Sheet) increased from 100 to 500 for enhanced large-scale data synchronization reliability.

= 3.15.4 – 9 December, 2025 =
- **New:** Implemented support for advanced formula features.
- **New:** Added comprehensive hooks and compatibility functions for multi-store plugin support.
- **Compatibility:** Achieved full compatibility with WordPress 6.9.

= 3.15.3 – 24 Nov, 2025 =
- **Enhancement:** Regular update & maintenance release

= 3.15.2 – 12 Nov, 2025 =
 - **Fix:** Removed the unwanted/obsolete setting page that was mistakenly left over from a previous version.

= 3.15.1 – 9 Nov, 2025 =
 - **New:** Added Shop/Vendor name display across product listings for better clarity in multivendor environments.
 - **New:** Added deep linking support for better navigation and shareability.
 - **Improvement:** Filter Feature: Completely redesigned filter feature with improved user experience and intuitive workflow.
 - **Improvement:** Product Sync Performance: Enhanced product synchronization performance when updating products from the WordPress site to the sheet.
 - **Improvement:** Info Tips: Updated and improved all tooltips and information tips for better user guidance.
 - **Fix:** Google Listings & Ads Compatibility: Fixed conflicts with "Google Listings & Ads" plugin for seamless integration.
 - **Fix:** Sale Price Validation: Added validation to prevent sale prices higher than regular prices. Users now receive the message: "Sales Price cannot be higher than Regular Price."
 - **Fix:** Variation Filters: Resolved issue where sheet filters were not working correctly for product variations.
 - **Fix:** Variation Sales Display: Fixed "Number of Sales" not displaying for product variations on Google Sheet.
 - **Fix:** Null Sale Price: Resolved issue where null sale price values were not updating correctly when saved.
 - **Fix:** License Page URL: Updated License page URL in plugin notices.

= 3.15.0 – 3 Nov, 2025 =
- **New:** Introduced **Sync Settings** - you can now choose between **Real-Time Live Sync** and **Scheduled Auto Sync**.  
- **New:** Added **Sync Direction** control with **Bidirectional**, **WooCommerce → Sheets**, and **Sheets → WooCommerce** options.  
- **New:** Added **Scheduled Sync Frequency** to set custom intervals (every 10 mins, hourly, daily, weekly).  
- **Fix:** Resolved an issue where **SKU values** were being incorrectly converted into date formats during sync.  

= 3.14.8 – 28 September, 2025 =
- **New:** Added periodic sync functionality to enable automated synchronization between WooCommerce and Google Sheets at regular intervals.
- **Fix:** Resolved SKU field value conversion issue where date values were being incorrectly converted and returned to the sheet. SKU values now maintain their original format during sync operations.

= 3.14.7 – 15 September, 2025 =
- **Improvement:** Implemented real-time product synchronization to the external product sheet. All product updates in WooCommerce now sync instantly using a live hook, replacing the previous cron-based method.

= 3.14.6 – 02 September, 2025 =
- **New:** Added global date format support for meta fields, ensuring consistent formatting across all integrations and data outputs.
- **Fix:** Corrected an issue where the regular price was being auto-removed when updating the sale price. Now both values remain intact as expected.
- **Fix:** Improved API request handling by switching from wp_remote_post to direct REST API requests, preventing server-side API request blocking issues and ensuring more reliable communication.

= 3.14.5 – 31 August, 2025 =
-**Fix:** Fixed a critical fatal error: Resolved an Uncaught TypeError: in_array(): Argument #2 ($haystack) must be of type array, null given error that caused the site to crash during data synchronization. The issue was fixed by adding a robust check to ensure the data is an array before processing. This improves the plugin's stability and prevents unexpected crashes.

= 3.14.4 – 17 August, 2025 =
- **Fix:** Column Sync Issue: Fixed an issue where product updates would not re-sync from the sheet to WordPress if there were more than 26 columns in the sheet.
- **Fix:** Product Data Update: Resolved the issue where products with more than 26 columns were not being updated when synced from the sheet to WordPress.
- **Fix:** Serialization Data Handling: Fixed a critical bug where products would become null if their serialized data was updated in the sheet. The plugin now correctly handles and updates serialized data without data loss.

= 3.14.3 – 06 August, 2025 =
* **Improvement:** Improved security issues.

= 3.14.2 – 06 August, 2025 =
- 🔥 **New:** Added support for **Dokan**, allowing for seamless multivendor management.
- **Improvement: Product Sync Performance:** Enhanced product synchronization performance when updating products from the WordPress site to the sheet.
- **Improvement: Enhanced Product Management:** Fixed sale product sync issue to vendor sheet.
- **Fix: Category Filters:** Fixed an issue where category filters were not working correctly.

= 3.14.1 – 21 July, 2025 =
* **Improvement:** Improved security issues.

= 3.14.0 – 21 July, 2025 =
###🔥 New Features
- **Multivendor Sync Addon (New):** Vendors can now sync their own product data to **their own Google Sheets**. Each vendor can set up and manage their own sheet independently.
- **Filter Toggle:** Easily turn filters on or off to better control your data view.
- **Gleap Widget Integration:** Get seamless, in-app support via the **Gleap** widget.
- **Vendor Product Update Schedule:** Automatically update vendor products to the admin sheet with our new **cron-based scheduler**.

### 👍 Improvements
- **Post Save Optimization:** Faster performance when saving posts in WordPress.
- **Dashboard Settings Menu:** Plugin settings now appear in the WordPress dashboard menu for quicker access.
- **AppScripts Security Boost:** Added **uglification + obfuscation** for stronger AppScripts protection.
- **Infotips Refresh:** Clearer and more helpful infotips across the plugin.
- **UI Enhancements:** Smoother on-hover effects and improved "Get Pro" popups for a better UX.

### 🛠️ Fixes
- **Sale Price Validation:** Fixed an issue allowing sale prices higher than the regular price in WooCommerce.
- **Variation Sales Count:** Corrected inaccurate sales counts for variable products.

= 3.13.3 – 16 Apr, 2025 =  
* **Improvement:** Enhanced compatibility to support WordPress 6.8
* **Fix:** Product updates via Google Sheets formulas now sync correctly with WooCommerce

= 3.13.2 – 19 Mar, 2025 =  
* **Fix:** Addressed a security vulnerability in the plugin.
* **Fix:** Resolved JWT token generation issue related to timezone settings.

= 3.13.1 – 9 Mar, 2025 =  
* **New:** Renamed Plugin to FlexStock – The plugin name has been updated to better reflect its purpose and branding.
* **New:** Improved UX and Flow of the Filter Feature – Enhanced the filtering experience for better usability and smoother navigation.  
* **New:** Product Type Filtering for Google Sheets – Added the ability to filter products by type directly in Google Sheets.  
* **New:** Category-Based Filtering for Google Sheets – Added the ability to filter products by category directly in Google Sheets.   
* **Improvement:** Added Column Name in Warning Popup – Improved warning popups by including column names for clearer messages.  
* **Improvement:** Rearrangement of Columns from Google Sheets – Gave support to change order of the columns in Google Sheets for a more customizable workflow.  
* **Improvement:** Cleaned up unnecessary code related to Pro version updates for better efficiency.  
* **Fix:** Fixed a plugin issue that was affecting functionality. 

= 3.13.0 – 18 Feb, 2025 =  
* **New: 🎉 Edit Category & Attribute from Sheet** – Added bidirectional support for editing product categories and attributes directly from the sheet.  
* **New: 🔄 Tag Sync & Edit from Sheet** – You can now sync and edit product tags between the sheet and WordPress.  
* **New: ✅ Support for Group Radio Button ACF Type** – Added support for Advanced Custom Fields (ACF) group radio button type.  
* **Improvement: Global Attributes Sync Fixed** – Resolved syncing issues for global attributes to Google Sheets.  
* **Improvement: REST API Prefix Support** – Added support for prefix-based REST API calls for staging sites.  
* **Improvement: Removed Popup Notices** – Enhanced user experience by eliminating unnecessary popup notices. 

= 3.12.1 - 30 Jan, 2025 =
* **Fix:** Resolved PHP warnings caused by undefined variables.

= 3.12.0 - 28 Jan, 2025 =
* **New: Product Status Filtering** Customize your Google Sheets view to filter products by status (Published, Pending Review, Draft, Trash, or Custom Statuses).  
* **New:** Added a new column to sync and live-update **product statuses** bidirectionally for seamless management.  
* **Fix:** Resolved **synchronization issues** with variation categories for consistent data across the platform.  

= 3.11.2 - 08 Jan, 2025 =
* **Fix**: Resolved an issue where titles were left blank during issue generation.

= 3.11.1 - 02 Jan, 2025 =
* **Enhancement**: Popup module and SDK update.

= 3.11.0 - 02 Jan, 2025 =
* **New: 🔥 Batch Processing Product Sync (WordPress to Sheet):** Introduced batch syncing of products from WordPress to the sheet.
* **New: 🔥 Batch Processing Product Update (Sheet to WordPress):** Introduced batch updating of products from the sheet to WordPress.
* **New: ⚡ Unlimited Bulk Edit (Sheet to WordPress):** Added support for unlimited bulk product edits from the sheet to WordPress.
* **New: ⚡ Unlimited Product Sync (WordPress to Sheet):** Enabled syncing of unlimited products from WordPress to the sheet.
* **New: View Update Log:** Introduced a feature to view the update log for better tracking and transparency of changes.
* **New: Group by Variable with Variation Products:** Added support for grouping products with variations.
* **Improvement:** Bulk Edit Performance Update: Improved bulk edit performance, enabling processing of 10,000 products in just 4 minutes.
* **Improvement:** Enhanced AppScript functionality and performance.
* **Improvement:** Optimized Row Index Saving: Added a feature to save specific product row indices for improved performance during sync.
* **Fix:** Fixed Sale Count Sync Issue: Resolved issues with syncing product sales count.
* **Fix:** Resolved the issue with updating float values for quantities in the sheet.

= 3.10.1 - 2 Dec 2024 =
* **Improvement**: Updated Appsero notice that clarifies what data we collect to help users understand what they are sharing
* **Fix**: Resolved issue with the _load_textdomain_just_in_time error caused by premature loading of translations.

= 3.10.0 - 24 Nov 2024 =
* **Enhancement**: Popup module and SDK update.

= 3.9.9 - 17 Nov 2024 =
* **Improvement**: Enhanced compatibility to support WordPress 6.7

= 3.9.8 – 21 Oct 2024 =
* **Improvement**: Updated popup design

= 3.9.7 – 29 Jul 2024 =
* **New: Compatibility with the ATUM WooCommerce Inventory Management:** Through our third-party integration with the ATUM inventory management plugin, you can now sync custom ATUM fields created with that plugin.
* **Improvement:** Enhanced compatibility to support WordPress 6.6.
* **Fix:** Fixed backorder issues when setting stock to zero from Google Sheets.

= 3.9.6 – 30 June 2024 =
* **New:** Custom media path support.
* **Improvement:** Change product URL path to single product path in the store.

= 3.9.5 – 27 June 2024 =
* **Fix:** Fixed variation product updating issues from google sheet.

= 3.9.4 – 25 June 2024 =
* **New (Sync Product Long Description):** In WooCommerce, long descriptions are displayed inside the “Description” tab. With long description sync, you can easily view and manage your descriptions from Google Sheets.
* **New (View Product URL):** Keep track of all product URLs from the connected spreadsheet. Easily view and navigate to your desired store products from anywhere.
* **Fix:** Fixed product attribute translation issues.
* **Improvement:** Enhanced the formula feature mechanism.

= 3.9.3 – 15 May 2024 =
* **Fix:** Fixed issues related to the ultimate plugin update

= 3.9.2 – 13 May 2024 =
* **Improvement:** Optimized the overall codebase for better performance & maintainability
* **Improvement:** Draft products from the WooCommerce store will not be synced to the connected Google sheet
* **Fix:** Fixed several security issues within Appsero
* **Fix:** Fixed the automatic activation of the premium features. All the ultimate features are now being activated automatically when the ultimate plugin is activated
* **Fix:** Fixed issues with the “No products found” popup. Now the popup is shown if there are not products found during setup

= 3.9.1 - 30 Apr 2024 =
- **Fix:** Fixed issues with setting null prices.
- **Fix:** Fixed errors with string price synchronization.
- **Fix:** Added support for syncing all types of meta information with Google Sheets.

= 3.9.0 - 25 Apr 2024 =
- **🔥 New (Introduced Google Sheets Formula Feature):** If you use formulas to organize data on your spreadsheet, this new feature will be extremely helpful. Your formulas will work perfectly and be synced with WooCommerce.
- **New (Support for Backorder Stock in Sheet):** Now users can conveniently manage backorder stock directly within Google Sheets, streamlining inventory management processes.
- **Fix:** Fixed sales count order number issues
- **Fix:** Fixed "Invalid Access" issue when user try to access the google sheet.
- **Fix:** Resolved SyntaxError and JSON parsing issue: Unexpected token ‘<’, “<!DOCTYPE “... is not valid JSON issues.


= 3.8.2 - 04 Apr 2024 =
- Improvement: Enhanced compatibility to support WordPress 6.5

= 3.8.1 – 23 Jan 2024 =
* Fix: Resolved simple product and variable product 0 stock update issue


= 3.8.0 – 21 Jan 2024 =
* New: Added function of recovery variation product
* Fix: Resolved variation product price range showing issue

= 3.7.1 – 20 Jan 2024 =
* Fix: Resolved auto short description update issue
* Fix: Resolved auto SKU update issue

= 3.7.0 – 14 Jan 2024 =
* New: Added product image feature. Users can display the WooCommerce products in Google Sheet.
* New: Compatibility with Loco Translation plugin.
* New: Compatibility with WPML plugin.
* New: Allowed any of the tabs of a spreadsheet to sync products.
* New: Introduced our own token for validation requests.
* Improvement: Performance update when creating and updating products from Google Sheets.
* Fix: Resolved conflicting issues with JWT Authentication for WP-API Plugin.
* Fix: Resolved issues with unlimited bulk product creation.
* Fix: Resolved the issue of inserting a price of 0 in Google Sheets.
* Fix: Resolved CSS conflicting issues.

= 3.6.1 – 4 Dec 2023 =
* Fix: Resolved "SyntaxError: Unexpected end of JSON input" error while clicking on "Sync on WooCommerce" CTA

= 3.6.0 – 29 NOV 2023 =
* New: Full compatibility with WooCommerce High-Performance Order Storage

= 3.5.1 – 23 Nov 2023 =
* Improvement: Font size fixing and UI improvement

= 3.5.0 – 20 Nov 2023 =
* New: Feature to add support popup
* New: Build pot files for translation
* Improvement: UI improvement for dashboard changes in step1
* Improvement: Updated popup design when sync

= 3.4.1 – 13 Nov 2023 =
* Fix: Fixed variation product name update issue

= 3.4.0 – 8 Nov 2023 =
* New: Added user friendly notices with new design
* Improvement: Enhanced AppScript and license top bar notice design
* Improvement: Updated the admin dashboard B&W plugin icon

= 3.3.4 – 2 Nov 2023 =
* Fix: Fixed an issue that caused a fatal error when calling the set_campaign method on null due to a conflict between the SDK and some plugin

= 3.3.3 – 25 OCT 2023 =
* Improvement: Updated popup design

= 3.3.2 – 22 OCT 2023 =
* Fix: Enhanced performance and fixed minor issues

= 3.3.1 – 9 OCT 2023 =
* Fix: Resolved bulk edit popup issue.
* Fix: Updated readme file with "Installation" tab

= 3.3.0 –  9 OCT 2023 =
* New: Introduced bulk edit feature in Google Sheet.
* New: Added top bar notice to notify users about the new Appscript updates.
* New: Implemented a popup in Google Sheet to display loading during bulk changes.
* New: Added a popup in Google Sheet after modifying view-only data.
* Improvement: Increased the product sync limit from 20 to 100 in the free plan.
* Improvement: Enhanced product syncing by updating specific products based on their index number in Google Sheets.
* Fix: Resolved a fatal error that occurred when installing another plugin from the WordPress dashboard if the stock sync plugin was already installed.

= 3.2.1 –  14 SEP 2023 =
* Improvement: Enhanced performance and fixed minor issues

= 3.2.0 –  14 SEP 2023 =
* Fix: Resolved the product type conflict for "variation" and "variable"
* Fix: Fixed "Invalid Access! Call undefined method GuzzleHttp\Utils::chooseHandler()"
* Improvement: Enhanced performance by reducing the time complexity by transitioning Google SDK to Rest API.
* Improvement: Updated the WPCS to version 3.0

= 3.1.4 - 14 AUG 2023 =
* Improvement: Enhanced compatibility to support WordPress 6.3

= 3.1.3 - 12 Jul 2023 =
* Fix: SKU setting not working issue

= 3.1.2 - 26 June 2023 =
* Improvement: Enhanced performance and fixed minor issues

= 3.1.1 - 22 June 2023 =
* New: Syncing support of text-based custom fields of Advanced Custom Field
* Fix: Custom field syncing issues
* Improvement: Reserved keyword restriction for custom field

= 3.1.0 - 22 June 2023 =
* New: WooCommerce Custom Fields can be now synced and updated from Google Sheets
* New: Added notice bar for old users to update the new AppScript

= 3.0.5 - 7 June 2023 =
* Improvement: Enhanced performance and fixed minor issues

= 3.0.4 - 10 May 2023 =
* Improvement: Enhanced performance and fixed minor issues

= 3.0.3 - 17 April 2023 =
* Improvement: Enhanced performance and fixed minor issues

= 3.0.2 - 28 MAR 2023 =
* Improvement: Checked compatibility with WordPress 6.2
* Improvement: Enhanced performance and fixed minor issues

= 3.0.1 - 28 JAN 2023 =
* Improvement: Enhanced performance and fixed minor issues

= 3.0.0 - 30 JAN 2023 =
* Fix: Security issues and patches
* Improvement: Improved code quality and standard
* Improvement: Enhanced performance and fixed minor issues

= 2.1.4 - 15 DEC 2022 =
* Improvement: Enhanced performance and fixed minor issues

= 2.1.3 - 15 DEC 2022 =
* Fixed: Fixed total sales count
* Fixed: Fixed syncing products on activating/deactivating license
* Fixed: Added redirection on activating ultimate plugin
* Improved: Fixed some minor UX issues
* Improved: Enhanced performance and fixed minor issues

= 2.1.2 - 03 NOV 2022 =
* Improvement: Enhanced performance and fixed minor issues

= 2.1.1 - 04 OCT 2022 =
* Improvement: Enhanced performance and fixed minor issues

= 2.1.0 - 05 SEP 2022 =
* Improvement: Enhanced performance and fixed minor issues

= 2.0.9 - 25 AUG 2022 =
* Improvement: Enhanced performance and fixed minor issues
* Fixed: Class "Google\Auth\Cache\TypedItem" not found

= 2.0.8 - 22 AUG 2022 =
* Improvement: Enhanced performance and fixed minor issues

= 2.0.7 - 16 AUG 2022 =
* Improvement: Enhanced performance and fixed minor issues

= 2.0.6 - 2 AUG 2022 =
* Improved: readme file
* Improvement: Enhanced performance and fixed minor issues

= 2.0.5 - 1 AUG 2022 =
* Fixed: Error: No product data

= 2.0.4 =
* Improvement: Enhanced performance and fixed minor issues

= 2.0.3 =
* Improvement: Enhanced performance and fixed minor issues

= 2.0.2 =
* Fixed: Fixed turning sale price forcefully zero
* Fixed: Fixed connecting custom Sheet Tab

= 2.0.1 =
* Added: Added SKU column
* Fixed: Fixed creating new products from Google Sheet

= 2.0.0 =
* Fixed: Revamped plugin backend.
* Fixed: Minor bugs.
* Fixed: Server is too busy
* Added: Revamped UI/UX
* Added: Revamped setup wizard.
* Added: Product addition from GS.
* Added: Display product short description.
* Added: Notifications on sync, add, update

= 1.2.1 =
* Added: Loader if server is too busy.
* Updated: Setup wizard steps design
* Fixed: minor bugs

= 1.2.0 =
* Updated: Installation video link

= 1.1.9 =
* Updated: Links & Labels

= 1.1.8 =
* Updated: Plugin title
* Updated: readme.txt & readme.md

= 1.1.7 =
* Updated: App Script video documentation link.

= 1.1.6 =
* Updated: Video documentation link.

= 1.1.5 =
* Improved performance and fixed minor issues

= 1.1.4 =
* Updated: FluentApi
* Improved performance and fixed minor issues

= 1.1.3 =
* Fixed: Despite not being connected to Google Sheet, the export button shows "%d products exported in google sheet".
* Improved performance and fixed minor issues

= 1.1.2 =
* Update readme.txt

= 1.1.1 =
* Update readme.txt

= 1.1.0 =
* Introduced new UI
* Improved performance and fixed minor issues.

= 1.0.0 =
* Initial release